Bug 730226

Summary: Review Request: jboss-specs-parent - JBoss Specification API Parent POM
Product: [Fedora] Fedora Reporter: Marek Goldmann <mgoldman>
Component: Package ReviewAssignee: Pierre-YvesChibon <pingou>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: notting, package-review, pingou
Target Milestone: ---Flags: pingou: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-10 15:08:07 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 730227, 730232, 730233, 730234, 730306    

Comment 1 Pierre-YvesChibon 2011-08-12 09:53:08 UTC
[X] rpmlint must be run on every package.
    jboss-specs-parent.noarch: W: invalid-url URL: http://www.jboss.org/ HTTP Error 403: Forbidden
    jboss-specs-parent.noarch: W: no-documentation
    jboss-specs-parent.src: W: invalid-url URL: http://www.jboss.org/ HTTP Error 403: Forbidden
    jboss-specs-parent.src: W: invalid-url Source0: jboss-specs-parent-1.0.0.Beta2-src-svn.tar.gz
    2 packages and 0 specfiles checked; 0 errors, 4 warnings.
        -> these warnings can be safely ignored
        (I have to say the 403 error is kinda surprising)

[X] The package must be named according to the Package Naming Guidelines.

[X] The spec file name must match the base package %{name}, in the format
      %{name}.spec unless your package has an exemption.

[X] The package must meet the Packaging Guidelines.

[!] The package must be licensed with a Fedora approved license and meet the
      Licensing Guidelines.

[!] The License field in the package spec file must match the actual license.
   License is unknown

[NA] If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s) for
     the package must be included in %doc.

[X] The spec file must be written in American English.

[X] The spec file for the package MUST be legible.

[NA] The sources used to build the package must match the upstream source, as
      provided in the spec URL
   Regenerating the sources using the command in the spec leads to a different sha1sum hash

[X] The package MUST successfully compile and build into binary rpms on at
     least one primary architecture.
    koji build http://koji.fedoraproject.org/koji/taskinfo?taskID=3267891

[NA] If the package does not successfully compile, build or work on an
      architecture, then those architectures should be listed in the spec in
      ExcludeArch.

[X] All build dependencies must be listed in BuildRequires, except for any
     that are listed in the exceptions section of the Packaging Guidelines ;
     inclusion of those as BuildRequires is optional.

[NA] The spec file MUST handle locales properly. This is done by using the
      %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[NA] Every binary RPM package (or subpackage) which stores shared library
      files(not just symlinks) in any of the dynamic linker's default paths,
      must call ldconfig in %post and %postun.

[X] Packages must NOT bundle copies of system libraries.

[NA] If the package is designed to be relocatable, the packager must state
      this fact in the request for review, along with the rationalization for
      relocation of that specific package. Without this, use of Prefix: /usr is
      considered a blocker.

[X] A package must own all directories that it creates. If it does not create
     a directory that it uses, then it should require a package which does
     create that directory.

[X] A Fedora package must not list a file more than once in the spec file's
      %files listings. 

[X] Permissions on files must be set properly. Executables should be set with
     executable permissions, for example. Every %files section must include a
     %defattr(...) line.

[X] Each package must consistently use macros.

[X] The package must contain code, or permissable content.

[NA] Large documentation files must go in a -doc subpackage.

[NA] If a package includes something as %doc, it must not affect the runtime
     of the application. To summarize: If it is in %doc, the program must run
     properly if it is not present.

[NA] Header files must be in a -devel package.

[NA] Static libraries must be in a -static package.

[NA] If a package contains library files with a suffix (e.g. libfoo.so.1.1),
      then library files that end in .so (without suffix) must go in a -devel
      package.

[NA] In the vast majority of cases, devel packages must require the base
      package using a fully versioned dependency: Requires: %{name} =
      %{version}-%{release}.

[NA] Packages must NOT contain any .la libtool archives, these must be removed
      in the spec if they are built.

[NA] Packages containing GUI applications must include a %{name}.desktop file,
      and that file must be properly installed with desktop-file-install in the
      %install section.

[X] Packages must not own files or directories already owned by other
      packages.

[X] All filenames in rpm packages must be valid UTF-8.


The license issue has been reported at https://issues.jboss.org/browse/AS7-1525
Once cleared out, I will approve this package.

Comment 3 Pierre-YvesChibon 2011-10-09 14:22:45 UTC
I will approve this package as the license has been cleared, but the file is still missing from sources and the %doc.
This is a must on the guideline, could you fix this before I set the flag to '+'?

Comment 4 Marek Goldmann 2011-10-10 12:19:11 UTC
Pierre,

The license is not included because it's not a part of this tag. License file was pushed to trunk and no new tag will be created for this change.

I had similar issue before and the package was accepted with a comment mentioning where the license file is located. The proper path to the file is: http://anonsvn.jboss.org/repos/jbossas/projects/specs/trunk/jboss-specs-parent/LICENSE-2.0.txt

Comment 5 Pierre-YvesChibon 2011-10-10 12:28:43 UTC
Sounds reasonable, this package is therefore APPROVED.

Please add a comment on the spec mentioning this and where the file can be found.

Comment 6 Marek Goldmann 2011-10-10 12:51:21 UTC
Thanks for review!

New Package SCM Request
=======================
Package Name:      jboss-specs-parent
Short Description: JBoss Specification API Parent POM
Owners:            goldmann

Comment 7 Gwyn Ciesla 2011-10-10 13:19:19 UTC
Git done (by process-git-requests).

Comment 8 Marek Goldmann 2011-10-10 15:08:07 UTC
Thanks for git, closing.